/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.ArrayList;
import java.util.List;

/**
 * DTOConverter
 * 
 * @author David Jesurum
 */
public class AddressConverter
{
    public static List<com.emptoris.vsm.sync.dto.Address> convert(com.emptoris.framework.sync.dto.Address[] input)
    {
        if (input == null)
        {
            return null;
        }
        List<com.emptoris.vsm.sync.dto.Address> output = new ArrayList<com.emptoris.vsm.sync.dto.Address>();
        for (com.emptoris.framework.sync.dto.Address item : input)
        {
            output.add(convert(item));
        }
        return output;
    }

    public static com.emptoris.vsm.sync.dto.Address convert(com.emptoris.framework.sync.dto.Address input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.Address output = new com.emptoris.vsm.sync.dto.Address();
        output.setCity(input.getCity());
        output.setCountry(input.getCountry());
        output.setCountryCode(input.getCountryCode());
        output.setCountryISOCode(input.getCountryISOCode());
        output.setCountryNumericalCode(input.getCountryNumericalCode());
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setId(input.getId());
        output.setPoBox(input.getPoBox());
        output.setPoCity(input.getPoCity());
        output.setPoZip(input.getPoZip());
        output.setPrimary(input.getPrimary());
        output.setRegionCode(input.getRegionCode());
        output.setRegionVsmId(input.getRegionVsmId());
        output.setState(input.getState());
        output.setStateShortName(input.getStateShortName());
        output.setStreet1(input.getStreet1());
        output.setStreet2(input.getStreet2());
        output.setStreet3(input.getStreet3());
        output.setStreet3(input.getStreet4());
        output.setType(input.getType());
        output.setTypeDescription(input.getTypeDescription());
        output.setZip(input.getZip());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.Address[] convert(List<com.emptoris.vsm.sync.dto.Address> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.Address[] output = new com.emptoris.framework.sync.dto.Address[count];
        for (int i = 0; i < count; i++)
        {
            output[i] = convert(input.get(i));
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.Address convert(com.emptoris.vsm.sync.dto.Address input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.Address output = new com.emptoris.framework.sync.dto.Address();
        output.setCity(input.getCity());
        output.setCountry(input.getCountry());
        output.setCountryCode(input.getCountryCode());
        output.setCountryISOCode(input.getCountryISOCode());
        output.setCountryNumericalCode(input.getCountryNumericalCode());
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setId(input.getId());
        output.setPoBox(input.getPoBox());
        output.setPoCity(input.getPoCity());
        output.setPoZip(input.getPoZip());
        output.setPrimary(input.isPrimary());
        output.setRegionCode(input.getRegionCode());
        output.setRegionVsmId(input.getRegionVsmId());
        output.setState(input.getState());
        output.setStateShortName(input.getStateShortName());
        output.setStreet1(input.getStreet1());
        output.setStreet2(input.getStreet2());
        output.setStreet3(input.getStreet3());
        output.setStreet3(input.getStreet4());
        output.setType(input.getType());
        output.setTypeDescription(input.getTypeDescription());
        output.setZip(input.getZip());
        return output;
    }
}