/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.ArrayList;
import java.util.List;

/**
 * BaseDTOConverter
 * 
 * @author David Jesurum
 */
public class BaseDTOConverter
{
    public static com.emptoris.vsm.sync.dto.BaseDTO convert(com.emptoris.framework.sync.dto.BaseDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.BaseDTO output = new com.emptoris.vsm.sync.dto.BaseDTO();
        convertElements(input, output);
        return output;
    }
    
    public static void convertElements(com.emptoris.framework.sync.dto.BaseDTO input, com.emptoris.vsm.sync.dto.BaseDTO output)
    {
        output.setAction(input.getAction());
        output.setCreatedBy(input.getCreatedBy());
        output.setCreatedOn(Utility.convert(input.getCreatedOn()));
        output.setCustomAttributes(convert(input.getCustomAttributes()));
        output.setDataSource(input.getDataSource());
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setDataSourceAppParentId(input.getDataSourceAppParentId());
        output.setDataSourceVisibility(Utility.convert(input.getDataSourceVisibility()));
        output.setDefaultLocale(Utility.convert(input.getDefaultLocale()));
        output.setId(input.getId());
        output.setParentId(input.getParentId());
        output.setParentVsmId(input.getParentVsmId());
        output.setStatus(input.getStatus());
        output.setUpdatedBy(input.getUpdatedBy());
        output.setUpdatedOn(Utility.convert(input.getUpdatedOn()));
        output.setVsmId(input.getVsmId());
     }
    
    public static List<com.emptoris.vsm.sync.dto.CustomAttribute> convert(com.emptoris.framework.sync.dto.CustomAttribute[] input)
    {
        if (input == null)
        {
            return null;
        }
        List<com.emptoris.vsm.sync.dto.CustomAttribute> output = new ArrayList<com.emptoris.vsm.sync.dto.CustomAttribute>();
        for (com.emptoris.framework.sync.dto.CustomAttribute item : input)
        {
            output.add(CustomAttributeConverter.convert(item));
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.BaseDTO convert(com.emptoris.vsm.sync.dto.BaseDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.BaseDTO output = new com.emptoris.framework.sync.dto.BaseDTO();
        convertElements(input, output);
        return output;
    }
    
    public static void convertElements(com.emptoris.vsm.sync.dto.BaseDTO input, com.emptoris.framework.sync.dto.BaseDTO output)
    {
        output.setAction(input.getAction());
        output.setCreatedBy(input.getCreatedBy());
        output.setCreatedOn(Utility.convert(input.getCreatedOn()));
        output.setCustomAttributes(convert(input.getCustomAttributes()));
        output.setDataSource(input.getDataSource());
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setDataSourceAppParentId(input.getDataSourceAppParentId());
        output.setDataSourceVisibility(Utility.convert(input.getDataSourceVisibility()));
        output.setDefaultLocale(Utility.convert(input.getDefaultLocale()));
        output.setId(input.getId());
        output.setParentId(input.getParentId());
        output.setParentVsmId(input.getParentVsmId());
        output.setStatus(input.getStatus());
        output.setUpdatedBy(input.getUpdatedBy());
        output.setUpdatedOn(Utility.convert(input.getUpdatedOn()));
        output.setVsmId(input.getVsmId());
    }

    public static com.emptoris.framework.sync.dto.CustomAttribute[] convert(List<com.emptoris.vsm.sync.dto.CustomAttribute> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.CustomAttribute[] output = new com.emptoris.framework.sync.dto.CustomAttribute[count];
        for (int i = 0; i < count; i++)
        {
            output[i] = CustomAttributeConverter.convert(input.get(i));
        }
        return output;
    }
}
