/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.HashMap;
import java.util.Map;

/**
 * DTOConverter
 * 
 * @author David Jesurum
 */
public class ExternalIdentifierConverter
{
    public static Map<String, String> convert(com.emptoris.framework.sync.dto.ExternalIdentifier[] input)
    {
        if (input == null)
        {
            return null;
        }
        Map<String, String> output = new HashMap<String, String>();
        for (com.emptoris.framework.sync.dto.ExternalIdentifier item : input)
        {
            output.put(item.getKey(), item.getValue());
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.ExternalIdentifier[] convert(Map<String, String> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.ExternalIdentifier[] output = new com.emptoris.framework.sync.dto.ExternalIdentifier[count];
        int i = 0;
        if (count > 0)
        {
            for (String key : input.keySet())
            {
                com.emptoris.framework.sync.dto.ExternalIdentifier item = new com.emptoris.framework.sync.dto.ExternalIdentifier();
                item.setKey(key);
                item.setValue(input.get(key));
                output[i++] = item;
            }
        }
        return output;
    }
}