/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.ArrayList;
import java.util.List;

/**
 * I18nStringConverter
 * 
 * @author David Jesurum
 */
public class I18NStringConverter
{
    public static List<com.emptoris.vsm.sync.dto.I18nString> convert(com.emptoris.framework.sync.dto.I18NString[] input)
    {
        if (input == null)
        {
            return null;
        }
        List<com.emptoris.vsm.sync.dto.I18nString> output = new ArrayList<com.emptoris.vsm.sync.dto.I18nString>();
        for (com.emptoris.framework.sync.dto.I18NString item : input)
        {
            output.add(convert(item));
        }
        return output;
    }

    public static com.emptoris.vsm.sync.dto.I18nString convert(com.emptoris.framework.sync.dto.I18NString input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.I18nString output = new com.emptoris.vsm.sync.dto.I18nString();
        output.setLocale(Utility.convert(input.getLocale()));
        output.setValue(input.getValue());
        return output;
    }

    public static com.emptoris.framework.sync.dto.I18NString[] convert(List<com.emptoris.vsm.sync.dto.I18nString> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.I18NString[] output = new com.emptoris.framework.sync.dto.I18NString[count];
        for (int i = 0; i < count; i++)
        {
            output[i] = convert(input.get(i));
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.I18NString convert(com.emptoris.vsm.sync.dto.I18nString input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.I18NString output = new com.emptoris.framework.sync.dto.I18NString();
        output.setLocale(Utility.convert(input.getLocale()));
        output.setValue(input.getValue());
        return output;
    }

}
