/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.ArrayList;
import java.util.List;

/**
 * LinkageConverter
 * 
 * @author David Jesurum
 */
public class LinkageConverter
{
    public static List<com.emptoris.vsm.sync.dto.Linkage> convert(com.emptoris.framework.sync.dto.Linkage[] input)
    {
        if (input == null)
        {
            return null;
        }
        List<com.emptoris.vsm.sync.dto.Linkage> output = new ArrayList<com.emptoris.vsm.sync.dto.Linkage>();
        for (com.emptoris.framework.sync.dto.Linkage item : input)
        {
            output.add(convert(item));
        }
        return output;
    }

    public static com.emptoris.vsm.sync.dto.Linkage convert(com.emptoris.framework.sync.dto.Linkage input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.Linkage output = new com.emptoris.vsm.sync.dto.Linkage();
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setVsmInternalId(input.getVsmInternalId());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.Linkage[] convert(List<com.emptoris.vsm.sync.dto.Linkage> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.Linkage[] output = new com.emptoris.framework.sync.dto.Linkage[count];
        for (int i = 0; i < count; i++)
        {
            output[i] = convert(input.get(i));
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.Linkage convert(com.emptoris.vsm.sync.dto.Linkage input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.Linkage output = new com.emptoris.framework.sync.dto.Linkage();
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setVsmInternalId(input.getVsmInternalId());
        return output;
    }
}