/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.ArrayList;
import java.util.List;

/**
 * PhoneConverter
 * 
 * @author David Jesurum
 */
public class PhoneConverter
{
    public static List<com.emptoris.vsm.sync.dto.Phone> convert(com.emptoris.framework.sync.dto.Phone[] input)
    {
        if (input == null)
        {
            return null;
        }
        List<com.emptoris.vsm.sync.dto.Phone> output = new ArrayList<com.emptoris.vsm.sync.dto.Phone>();
        for (com.emptoris.framework.sync.dto.Phone item : input)
        {
            output.add(convert(item));
        }
        return output;
    }

    public static com.emptoris.vsm.sync.dto.Phone convert(com.emptoris.framework.sync.dto.Phone input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.Phone output = new com.emptoris.vsm.sync.dto.Phone();
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setId(input.getId());
        output.setPhoneExtension(input.getPhoneExtension());
        output.setPhoneNumber(input.getPhoneNumber());
        output.setPrimary(input.getPrimary());
        output.setType(input.getType());
        output.setTypeDescription(input.getTypeDescription());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.Phone[] convert(List<com.emptoris.vsm.sync.dto.Phone> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.Phone[] output = new com.emptoris.framework.sync.dto.Phone[count];
        for (int i = 0; i < count; i++)
        {
            output[i] = convert(input.get(i));
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.Phone convert(com.emptoris.vsm.sync.dto.Phone input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.Phone output = new com.emptoris.framework.sync.dto.Phone();
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setId(input.getId());
        output.setPhoneExtension(input.getPhoneExtension());
        output.setPhoneNumber(input.getPhoneNumber());
        output.setPrimary(input.isPrimary());
        output.setType(input.getType());
        output.setTypeDescription(input.getTypeDescription());
        return output;
    }
}