/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

import java.util.ArrayList;
import java.util.List;

/**
 * ProductConverter
 * 
 * @author David Jesurum
 */
public class ProductConverter
{
    public static List<com.emptoris.vsm.sync.dto.Product> convert(com.emptoris.framework.sync.dto.Product[] input)
    {
        if (input == null)
        {
            return null;
        }
        List<com.emptoris.vsm.sync.dto.Product> output = new ArrayList<com.emptoris.vsm.sync.dto.Product>();
        for (com.emptoris.framework.sync.dto.Product item : input)
        {
            output.add(ProductConverter.convert(item));
        }
        return output;
    }

    public static com.emptoris.vsm.sync.dto.Product convert(com.emptoris.framework.sync.dto.Product input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.Product output = new com.emptoris.vsm.sync.dto.Product();
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setDefaultWizardMode(input.getDefaultWizardMode());
        output.setEnabled(input.getEnabled());
        output.setEnabledModules(input.getEnabledModules());
        output.setFirstDayOfTheWeek(input.getFirstDayOfTheWeek());
        output.setGroupUuids(Utility.convert(input.getGroupUuids()));
        output.setHomepage(input.getHomepage());
        output.setLandingPage(input.getLandingPage());
        output.setLanguage(input.getLanguage());
        output.setOrganizationUuid(input.getOrganizationUuid());
        output.setParticipateInContract(input.getParticipateInContract());
        output.setSuiteApp(input.getSuiteApp());
        output.setSupplierId(input.getSupplierId());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.Product[] convert(List<com.emptoris.vsm.sync.dto.Product> input)
    {
        int count = (input == null) ? 0 : input.size();
        com.emptoris.framework.sync.dto.Product[] output = new com.emptoris.framework.sync.dto.Product[count];
        for (int i = 0; i < count; i++)
        {
            output[i] = convert(input.get(i));
        }
        return output;
    }

    public static com.emptoris.framework.sync.dto.Product convert(com.emptoris.vsm.sync.dto.Product input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.Product output = new com.emptoris.framework.sync.dto.Product();
        output.setDataSourceAppId(input.getDataSourceAppId());
        output.setDefaultWizardMode(input.getDefaultWizardMode());
        output.setEnabled(input.getEnabled());
        output.setEnabledModules(input.getEnabledModules());
        output.setFirstDayOfTheWeek(input.getFirstDayOfTheWeek());
        output.setGroupUuids(Utility.convert(input.getGroupUuids()));
        output.setHomepage(input.getHomepage());
        output.setLandingPage(input.getLandingPage());
        output.setLanguage(input.getLanguage());
        output.setOrganizationUuid(input.getOrganizationUuid());
        output.setParticipateInContract(input.getParticipateInContract());
        output.setSuiteApp(input.getSuiteApp());
        output.setSupplierId(input.getSupplierId());
        return output;
    }
}
