/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.framework.utility;

/**
 * SupplierOrganizationDTOConverter
 * 
 * @author David Jesurum
 */
public class SupplierOrganizationDTOConverter
{
    public static com.emptoris.vsm.sync.dto.SupplierOrganizationDTO convert(com.emptoris.framework.sync.dto.SupplierOrganizationDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.vsm.sync.dto.SupplierOrganizationDTO output = new com.emptoris.vsm.sync.dto.SupplierOrganizationDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setAddresses(AddressConverter.convert(input.getAddresses()));
        output.setApproved(input.getApproved());
        output.setAnnualSales(input.getAnnualSales());
        output.setApprovedCategories(LinkageConverter.convert(input.getApprovedCategories()));
        output.setBusinessDescription(input.getBusinessDescription());
        output.setBusinessType(input.getBusinessType());
        output.setBvdNumber(input.getBvdNumber());
        output.setCompanyName(input.getCompanyName());
        output.setCurrencyCode(input.getCurrencyCode());
        output.setDateEstablished(Utility.convert(input.getDateEstablished()));
        output.setDeadDate(Utility.convert(input.getDeadDate()));
        output.setDeadStatus(input.getDeadStatus());
        output.setDunsNumber(input.getDunsNumber());
        output.setDuplicateSupplierId(input.getDuplicateSupplierId());
        output.setEmail(input.getEmail());
        output.setEquifaxNumber(input.getEquifaxNumber());
        output.setEquifaxRating(input.getEquifaxRating());
        output.setExternalIdentifiers(ExternalIdentifierConverter.convert(input.getExternalIdentifiers()));
        output.setFederalTaxId(input.getFederalTaxId());
        output.setFiscalYearEnd(input.getFiscalYearEnd());
        output.setLegalName(input.getLegalName());
        output.setLinkingStatus(input.getLinkingStatus());
        output.setMasterCompanyName(input.getMasterCompanyName());
        output.setMergedVsmId(input.getMergedVsmId());
        output.setNaicsCode(input.getNaicsCode());
        output.setNarrativeDescription(input.getNarrativeDescription());
        output.setNumberOfEmployees(input.getNumberOfEmployees());
        output.setOwnershipCitizenship(input.getOwnershipCitizenship());
        output.setOwnershipDisabled(input.getOwnershipDisabled());
        output.setOwnershipEthnicity(input.getOwnershipEthnicity());
        output.setOwnershipGender(input.getOwnershipGender());
        output.setOwnershipVeteran(input.getOwnershipVeteran());
        output.setPhoneNumbers(PhoneConverter.convert(input.getPhoneNumbers()));
        output.setPrimaryContact(UserDTOConverter.convert(input.getPrimaryContact()));
        output.setPrimarySource(input.getPrimarySource());
        output.setRegionVsmId(input.getRegionVsmId());
        output.setRegions(LinkageConverter.convert(input.getRegions()));
        output.setSicCode(input.getSicCode());
        output.setStockExchange(input.getStockExchange());
        output.setStockSymbol(input.getStockSymbol());
        output.setTaxExmpt(input.getTaxExmpt());
        output.setVatNumber(input.getVatNumber());
        output.setW9BusinessName(input.getW9BusinessName());
        output.setW9Name(input.getW9Name());
        output.setWebsite(input.getWebsite());
        return output;
    }
    
    public static com.emptoris.framework.sync.dto.SupplierOrganizationDTO convert(com.emptoris.vsm.sync.dto.SupplierOrganizationDTO input)
    {
        if (input == null)
        {
            return null;
        }
        com.emptoris.framework.sync.dto.SupplierOrganizationDTO output = new com.emptoris.framework.sync.dto.SupplierOrganizationDTO();
        BaseDTOConverter.convertElements(input, output);
        output.setAddresses(AddressConverter.convert(input.getAddresses()));
        output.setApproved(input.getApproved());
        output.setAnnualSales(input.getAnnualSales());
        output.setApprovedCategories(LinkageConverter.convert(input.getApprovedCategories()));
        output.setBusinessDescription(input.getBusinessDescription());
        output.setBusinessType(input.getBusinessType());
        output.setBvdNumber(input.getBvdNumber());
        output.setCompanyName(input.getCompanyName());
        output.setCurrencyCode(input.getCurrencyCode());
        output.setDateEstablished(Utility.convert(input.getDateEstablished()));
        output.setDeadDate(Utility.convert(input.getDeadDate()));
        output.setDeadStatus(input.getDeadStatus());
        output.setDunsNumber(input.getDunsNumber());
        output.setDuplicateSupplierId(input.getDuplicateSupplierId());
        output.setEmail(input.getEmail());
        output.setEquifaxNumber(input.getEquifaxNumber());
        output.setEquifaxRating(input.getEquifaxRating());
        output.setExternalIdentifiers(ExternalIdentifierConverter.convert(input.getExternalIdentifiers()));
        output.setFederalTaxId(input.getFederalTaxId());
        output.setFiscalYearEnd(input.getFiscalYearEnd());
        output.setLegalName(input.getLegalName());
        output.setLinkingStatus(input.getLinkingStatus());
        output.setMasterCompanyName(input.getMasterCompanyName());
        output.setMergedVsmId(input.getMergedVsmId());
        output.setNaicsCode(input.getNaicsCode());
        output.setNarrativeDescription(input.getNarrativeDescription());
        output.setNumberOfEmployees(input.getNumberOfEmployees());
        output.setOwnershipCitizenship(input.getOwnershipCitizenship());
        output.setOwnershipDisabled(input.getOwnershipDisabled());
        output.setOwnershipEthnicity(input.getOwnershipEthnicity());
        output.setOwnershipGender(input.getOwnershipGender());
        output.setOwnershipVeteran(input.getOwnershipVeteran());
        output.setPhoneNumbers(PhoneConverter.convert(input.getPhoneNumbers()));
        output.setPrimaryContact(UserDTOConverter.convert(input.getPrimaryContact()));
        output.setPrimarySource(input.getPrimarySource());
        output.setRegionVsmId(input.getRegionVsmId());
        output.setRegions(LinkageConverter.convert(input.getRegions()));
        output.setSicCode(input.getSicCode());
        output.setStockExchange(input.getStockExchange());
        output.setStockSymbol(input.getStockSymbol());
        output.setTaxExmpt(input.getTaxExmpt());
        output.setVatNumber(input.getVatNumber());
        output.setW9BusinessName(input.getW9BusinessName());
        output.setW9Name(input.getW9Name());
        output.setWebsite(input.getWebsite());
        return output;
    }
}
