/**
 * 
 */
package com.emptoris.vsm.sync.dto;

/**
 * @author rbadvelu
 *
 */
public class Address implements java.io.Serializable
{

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private Long id; // VSM Internal address Id
    private String dataSourceAppId; // Data Source / Application Address Id 
    private String street1;
    private String street2;
    private String street3;
    private String street4; // To accommodate ECM in future
    private String city;
    private String zip;
    private String poBox;
    private String poCity;
    private String poZip;
    private String state; // State or Province Full Name
    private String stateShortName;
    private String country; // Country Name
    private String countryCode;
    private String countryISOCode; // the 3-letter code assigned to a country by ISO3166
    private String countryNumericalCode;
    private String regionCode;
    private String regionVsmId; // Region VSM ID
    private String type; // Address type 
    private String typeDescription; // Address Description
    private Boolean isPrimary;

    /**
     * @return the id
     */
    public Long getId()
    {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id)
    {
        this.id = id;
    }

    /**
     * @return the dataSourceAppId
     */
    public String getDataSourceAppId()
    {
        return dataSourceAppId;
    }

    /**
     * @param dataSourceAppId the dataSourceAppId to set
     */
    public void setDataSourceAppId(String dataSourceAppId)
    {
        this.dataSourceAppId = dataSourceAppId;
    }

    /**
     * @return the street1
     */
    public String getStreet1()
    {
        return street1;
    }

    /**
     * @param street1 the street1 to set
     */
    public void setStreet1(String street1)
    {
        this.street1 = street1;
    }

    /**
     * @return the street2
     */
    public String getStreet2()
    {
        return street2;
    }

    /**
     * @param street2 the street2 to set
     */
    public void setStreet2(String street2)
    {
        this.street2 = street2;
    }

    /**
     * @return the street3
     */
    public String getStreet3()
    {
        return street3;
    }

    /**
     * @param street3 the street3 to set
     */
    public void setStreet3(String street3)
    {
        this.street3 = street3;
    }

    /**
     * @return the street4
     */
    public String getStreet4()
    {
        return street4;
    }

    /**
     * @param street4 the street4 to set
     */
    public void setStreet4(String street4)
    {
        this.street4 = street4;
    }

    /**
     * @return the city
     */
    public String getCity()
    {
        return city;
    }

    /**
     * @param city the city to set
     */
    public void setCity(String city)
    {
        this.city = city;
    }

    /**
     * @return the zip
     */
    public String getZip()
    {
        return zip;
    }

    /**
     * @param zip the zip to set
     */
    public void setZip(String zip)
    {
        this.zip = zip;
    }

    /**
     * 
     * @return the state normal name
     */
    public String getState()
    {
        return state;
    }

    /**
     * 
     * @param state the state normal name to set
     */
    public void setState(String state)
    {
        this.state = state;
    }

    public String getStateShortName()
    {
        return stateShortName;
    }

    public void setStateShortName(String stateShortName)
    {
        this.stateShortName = stateShortName;
    }


    /**
     * 
     * @return the country normal name
     */
    public String getCountry()
    {
        return country;
    }

    /**
     * 
     * @param country the country normal name
     */
    public void setCountry(String country)
    {
        this.country = country;
    }

    public String getCountryCode()
    {
        return countryCode;
    }

    public void setCountryCode(String countryCode)
    {
        this.countryCode = countryCode;
    }

    public String getCountryISOCode()
    {
        return countryISOCode;
    }

    public void setCountryISOCode(String countryISOCode)
    {
        this.countryISOCode = countryISOCode;
    }

    public String getCountryNumericalCode()
    {
        return countryNumericalCode;
    }

    public void setCountryNumericalCode(String countryNumericalCode)
    {
        this.countryNumericalCode = countryNumericalCode;
    }

    public String getRegionCode()
    {
        return regionCode;
    }

    public void setRegionCode(String regionCode)
    {
        this.regionCode = regionCode;
    }

    public String getRegionVsmId()
    {
        return regionVsmId;
    }

    public void setRegionVsmId(String regionVsmId)
    {
        this.regionVsmId = regionVsmId;
    }

    /**
     * @return the type
     */
    public String getType()
    {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type)
    {
        this.type = type;
    }

    /**
     * @return the typeDescription
     */
    public String getTypeDescription()
    {
        return typeDescription;
    }

    /**
     * @param typeDescription the typeDescription to set
     */
    public void setTypeDescription(String typeDescription)
    {
        this.typeDescription = typeDescription;
    }

    public Boolean isPrimary()
    {
        return isPrimary;
    }

    public void setPrimary(Boolean isPrimary)
    {
        this.isPrimary = isPrimary;
    }

    public String getPoBox()
    {
        return poBox;
    }

    public void setPoBox(String poBox)
    {
        this.poBox = poBox;
    }

    public String getPoCity()
    {
        return poCity;
    }

    public void setPoCity(String poCity)
    {
        this.poCity = poCity;
    }

    public String getPoZip()
    {
        return poZip;
    }

    public void setPoZip(String poZip)
    {
        this.poZip = poZip;
    }
}
