package com.emptoris.vsm.sync.dto;

import java.util.ArrayList;
import java.util.List;

/**
 * @author rbadvelu
 *
 * Helper class for synchronizing the category tree
 * data between VSM / Gateway and Emptoris suite of applications such as Sourcing, etc.
 */
public class CategoryDTO extends BaseDTO {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	private String name;
	private String code;
	private String description;
	private String keywords;
	private String parentCode;
	private Integer level;
	
	private List<I18nString> nameTranslation;
	private List<I18nString> descriptionTranslation;
	private List<I18nString> keywordsTranslation;

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return the keywords
	 */
	public String getKeywords()
	{
		return keywords;
	}

	/**
	 * @param keywords the keywords to set
	 */
	public void setKeywords(String keywords)
	{
		this.keywords = keywords;
	}

	/**
	 * @return the parentCode
	 */
	public String getParentCode() {
		return parentCode;
	}

	/**
	 * @param parentCode the parentCode to set
	 */
	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}

	/**
	 * @return the level
	 */
	public Integer getLevel() {
		return level;
	}

	/**
	 * @param level the level to set
	 */
	public void setLevel(Integer level) {
		this.level = level;
	}

	/**
	 * @return the nameTranslation
	 */
	public List<I18nString> getNameTranslation()
	{
		if (nameTranslation == null)
		{
			nameTranslation = new ArrayList<I18nString>();
		}
		return nameTranslation;
	}

	/**
	 * @param nameTranslation the nameTranslation to set
	 */
	public void setNameTranslation(List<I18nString> nameTranslation)
	{
		this.nameTranslation = nameTranslation;
	}

	/**
	 * @return the descriptionTranslation
	 */
	public List<I18nString> getDescriptionTranslation()
	{
		if (descriptionTranslation == null)
		{
			descriptionTranslation = new ArrayList<I18nString>();
		}
		return descriptionTranslation;
	}

	/**
	 * @param descriptionTranslation the descriptionTranslation to set
	 */
	public void setDescriptionTranslation(List<I18nString> descriptionTranslation)
	{
		this.descriptionTranslation = descriptionTranslation;
	}

	/**
	 * @return the keywords translation
	 */
	public List<I18nString> getKeywordsTransalation()
	{
		if (keywordsTranslation == null)
		{
			keywordsTranslation = new ArrayList<I18nString>();
		}
		return keywordsTranslation;
	}

	/**
	 * @param keywords the keywords to set
	 */
	public void setKeywordsTranslation(List<I18nString> keywordsTranslation)
	{
		this.keywordsTranslation = keywordsTranslation;
	}

}
