/**
 * 
 */
package com.emptoris.vsm.sync.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author rbadvelu
 *
 */
public class Contact implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 2360764512504465340L;
	
	private String vsmId;
	private String firstName;
	private String lastName;
	private String displayName;
	private String type;
	private String title;
	private String status;
	private String ethnicity;
	private String gender;
	private Integer ownershipPercentage;

	private Phone primaryPhone;
	private String email;
	private boolean isPrimary;
	
	private Address primaryAddress;
	private List<Address> addresses;
	private List<Phone> phoneNumbers;

	/**
	 * @return the vsmId
	 */
	public String getVsmId() {
		return vsmId;
	}
	/**
	 * @param vsmId the vsmId to set
	 */
	public void setVsmId(String vsmId) {
		this.vsmId = vsmId;
	}
	/**
	 * @return the firstName
	 */
	public String getFirstName() {
		return firstName;
	}
	/**
	 * @param firstName the firstName to set
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * @return the lastName
	 */
	public String getLastName() {
		return lastName;
	}
	/**
	 * @param lastName the lastName to set
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	
	/**
	 * @return the displayName
	 */
	public String getDisplayName() {
		return displayName;
	}
	/**
	 * @param displayName the displayName to set
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}
	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}
	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}
	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * @param title the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
	 * @return the primaryPhoneNumber
	 */
	public Phone getPrimaryPhone() {
		return primaryPhone;
	}

	/**
	 * @return the primaryAddress
	 */
	public Address getPrimaryAddress()
	{
		return primaryAddress;
	}
	/**
	 * @param primaryAddress the primaryAddress to set
	 */
	public void setPrimaryAddress(Address primaryAddress)
	{
		this.primaryAddress = primaryAddress;
	}
	/**
	 * @param primaryPhoneNumber the primaryPhoneNumber to set
	 */
	public void setPrimaryPhone(Phone primaryPhone) {
		this.primaryPhone = primaryPhone;
	}
	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}
	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	/**
	 * @return the isPrimary
	 */
	public boolean isPrimary() {
		return isPrimary;
	}
	/**
	 * @param isPrimary the isPrimary to set
	 */
	public void setPrimary(boolean isPrimary) {
		this.isPrimary = isPrimary;
	}
	/**
	 * @return the phoneNumbers
	 */
	public List<Phone> getPhoneNumbers() {
		if (phoneNumbers == null)
		{
			phoneNumbers = new ArrayList<Phone>();
		}
		return phoneNumbers;
	}
	/**
	 * @param phoneNumbers the phoneNumbers to set
	 */
	public void setPhoneNumbers(List<Phone> phoneNumbers) {
		this.phoneNumbers = phoneNumbers;
	}
	/**
	 * @param phone
	 */
	public void addPhoneNumber(Phone phone) {
		getPhoneNumbers().add(phone);
	}
	/**
	 * @return the addresses
	 */
	public List<Address> getAddresses() {
		if (addresses == null)
		{
			addresses = new ArrayList<Address>();
		}
		return  addresses;
	}
	/**
	 * @param addresses the addresses to set
	 */
	public void setAddresses(List<Address> addresses) {
		this.addresses = addresses;
	}
	/**
	 * 
	 * @param address
	 */
	public void addAddress(Address address) {
		getAddresses().add(address);
	}

	/**
	 * @return the status
	 */
	public String getStatus()
	{
		return status;
	}
	/**
	 * @param status the status to set
	 */
	public void setStatus(String status)
	{
		this.status = status;
	}
	/**
	 * @return the ethnicity
	 */
	public String getEthnicity()
	{
		return ethnicity;
	}
	/**
	 * @param ethnicity the ethnicity to set
	 */
	public void setEthnicity(String ethnicity)
	{
		this.ethnicity = ethnicity;
	}
	/**
	 * @return the gender
	 */
	public String getGender()
	{
		return gender;
	}
	/**
	 * @param gender the gender to set
	 */
	public void setGender(String gender)
	{
		this.gender = gender;
	}
	/**
	 * @return the ownershipPercentage
	 */
	public Integer getOwnershipPercentage()
	{
		return ownershipPercentage;
	}
	/**
	 * @param ownershipPercentage the ownershipPercentage to set
	 */
	public void setOwnershipPercentage(Integer ownershipPercentage)
	{
		this.ownershipPercentage = ownershipPercentage;
	}

}
