/**
 * Copyright 2012 IBM. All rights reserved.
 * IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.vsm.sync.dto;

import java.util.List;


/**
 * @author hyang
 *
 * Data Transfer Object for synchronizing the country list.
 */
public class CountryDTO extends BaseDTO
{
    private String code;
    private String iso3Code;
    private String numericalCode;
	private String name;
	private String regionCode;
	private String stateLabel;
    private List<I18nString> nameTranslation;
	
	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

    /**
     * @param iso3Code the 3-letter ISO 3166 code.
     */
    public void setIso3Code(String iso3Code) {
        this.iso3Code = iso3Code;
    }

    /**
     * @return the 3-letter ISO 3166 code.
     */
    public String getIso3Code() {
        return iso3Code;
    }

    /**
     * @param code the 3-digit United Nations country code.
     */
    public void setNumericalCode(String numericalCode) {
        this.numericalCode = numericalCode;
    }

    /**
     * @return the 3-digit United Nations country code.
     */
    public String getNumericalCode() {
        return numericalCode;
    }

    /**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

    /**
     * @return the code of the region this country belongs to.
     */
    public String getRegionCode() {
        return regionCode;
    }

    /**
     * @param parentCode the code of the region this country belongs to.
     */
    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

	/**
	 * 
	 * @return the label of the state-level location, such as state/province/territory.
	 */
    public String getStateLabel()
    {
        return stateLabel;
    }

    /**
     * @param stateLabel the label of the state-level location, such as state/province/territory..
     * @param description
     */
    public void setStateLabel(String stateLabel)
    {
        this.stateLabel = stateLabel;
    }

    /**
     * @return the nameTranslation
     */
    public List<I18nString> getNameTranslation() {
        return nameTranslation;
    }

    /**
     * @param nameTranslation the nameTranslation to set
     */
    public void setNameTranslation(List<I18nString> nameTranslation) {
        this.nameTranslation = nameTranslation;
    }

}
