/*
 * Copyright 2012 Emptoris, an IBM Company. All rights reserved.
 * EMPTORIS/IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.vsm.sync.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * OrganizationDTO
 * 
 * @author Shanthi Sankar
 * 
 * This class is used to pass the internal org information from Gateway to other applications
 */
public class OrganizationDTO implements Serializable
{
    public static enum PhoneType {
        Main, Fax
    }

    private String uuId;
    private String parentUuId;

    private String code;
    private String additionalCode;
    private String name;
    private String homepage;
    private String emailAddress;

    private List<Address> addresses;
    private List<Phone> phones;
    private Boolean deleted;

    private String createdBy;
    private Date createdOn;
    private String updatedBy;
    private Date updatedOn;
    
    private String organizationModule;
    private String description;

    //Sourcing
    public static enum sourcingModuleVisibility
    {
        BuyerSurvey, CreativeNegotiation, DecisionSupport, DemandAgg, ExecutiveDashboard, ForwardAuction, Notices, RADutch, RAEnglish, RFI, RFP, RFQ
    }

    public String getUuId()
    {
        return uuId;
    }

    public void setUuId(String uuId)
    {
        this.uuId = uuId;
    }

    public String getParentUuId()
    {
        return parentUuId;
    }

    public void setParentUuId(String parentUuId)
    {
        this.parentUuId = parentUuId;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public String getAdditionalCode()
    {
        return additionalCode;
    }

    public void setAdditionalCode(String additionalCode)
    {
        this.additionalCode = additionalCode;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getHomepage()
    {
        return homepage;
    }

    public void setHomepage(String homepage)
    {
        this.homepage = homepage;
    }

    public String getEmailAddress()
    {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress)
    {
        this.emailAddress = emailAddress;
    }

    public List<Address> getAddresses()
    {
        return addresses;
    }

    public void setAddresses(List<Address> addresses)
    {
        this.addresses = addresses;
    }

    public List<Phone> getPhones()
    {
        return phones;
    }

    public void setPhones(List<Phone> phones)
    {
        this.phones = phones;
    }

    public Boolean getDeleted()
    {
        return deleted;
    }

    public void setDeleted(Boolean deleted)
    {
        this.deleted = deleted;
    }

    public String getCreatedBy()
    {
        return createdBy;
    }

    public void setCreatedBy(String createdBy)
    {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn()
    {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn)
    {
        this.createdOn = createdOn;
    }

    public String getUpdatedBy()
    {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy)
    {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedOn()
    {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn)
    {
        this.updatedOn = updatedOn;
    }

    public String getOrganizationModule()
    {
        return organizationModule;
    }

    public void setOrganizationModule(String organizationModule)
    {
        this.organizationModule = organizationModule;
    }

    public String getDescription()
    {
        return description;
    }

    public void setDescription(String description)
    {
        this.description = description;
    }
    
   
}
