/**
 * Copyright 2012 IBM. All rights reserved.
 * IBM PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.emptoris.vsm.sync.dto;

import java.util.List;

/**
 * @author hyang
 *
 * Data Transfer Object for synchronizing the region tree.
 */
public class RegionDTO extends BaseDTO
{
    private String code;
	private String name;
	private String parentCode;
	private String description;
	
	private List<I18nString> nameTranslation;

	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

    /**
     * @return the code of the parent region.
     */
    public String getParentCode() {
        return parentCode;
    }

    /**
     * @param parentCode the code of the parent region.
     */
    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

	/**
	 * @return the nameTranslation
	 */
	public List<I18nString> getNameTranslation() {
		return nameTranslation;
	}

	/**
	 * @param nameTranslation the nameTranslation to set
	 */
	public void setNameTranslation(List<I18nString> nameTranslation) {
		this.nameTranslation = nameTranslation;
	}

	/**
	 * 
	 * @return the description of the region
	 */
    public String getDescription()
    {
        return description;
    }

    /**
     * @param description the description of the region.
     */
    public void setDescription(String description)
    {
        this.description = description;
    }
}
