select 
	i.ISSUE_ID as PK, 
	i.NAME as End_Title, 
	i.NAME as Name, 
	i.DESCRIPTION as Description, 
	issue_type.TEXT as Type, 
	issue_status.TEXT as Status, 
	i.IMPACT as Impact,
	i.PLANNED_MITIGATION as Planned_Mitigation,
	i.RESOLUTION_ACTIONS as Resolution_Actions,
	issue_severity.TEXT as Severity,
	au.DISPLAY_NAME as Raised_By,
	p.name as Project, 
	pgm.name as Program,
	t.name as Task
from
	PM_ISSUE i
    left outer join PM_PROJECT p on i.PROJECT_ID = p.PROJECT_ID
    left outer join PROGRAM pgm on p.PROGRAM_ID = pgm.PROGRAM_ID
	left outer join PM_TASK t on i.TASK_ID = t.TASK_ID
	left outer join APPLICATION_USER au on i.RAISED_BY = au.AU_ID
    left outer join REFERENCE issue_type on i.TYPE = issue_type.SUBCATEGORY and issue_type.CATEGORY = 'issue_type' and issue_type.OWNER_AID is null
    left outer join REFERENCE issue_status on i.STATUS = issue_status.SUBCATEGORY and issue_status.CATEGORY = 'issue_status' and issue_status.OWNER_AID is null
    left outer join REFERENCE issue_severity on i.SEVERITY = issue_severity.SUBCATEGORY and issue_severity.CATEGORY = 'issue_severity' and issue_severity.OWNER_AID is null
where
    i.OWNER_AID = '[AA_ID]' and
	i.RECORD_STATE = 0