SELECT
    s.SUPPLIER_ID as PK,
    s.COMPANY_NAME as End_Title,
    s.COMPANY_NAME as Company_Name,
    s.VSM_ID as VSM_ID,
    s.LEGAL_NAME as Legal_Name,
    s.BVD_NUMBER as BVD_Number, 
    s.DUNS_NUMBER as DUNS_Number,
    s.ERP_NUMBER as ERP_Number,
    s.EXT_ID1 as EXT_ID_1,
    s.EXT_ID2 as EXT_ID_2,
    s.EXT_ID3 as EXT_ID_3,
    s.EXT_ID4 as EXT_ID_4,
    s.EXT_ID5 as EXT_ID_5,
    s.FEDERAL_TAX_ID as Federal_Tax_ID,
    a.STREET1 as Street_1,
    a.STREET2 as Street_2, 
    a.CITY as City,
    st.NAME as State,
    st.SHORT_NAME as State_Code,
    a.COUNTRY_CODE as Country,
    a.POSTAL_CODE as Postal_Code,
    a.ADDRESS_TYPE as Address_Type,
    au.DISPLAY_NAME as Display_Name,
    c.CONTACT_FIRST_NAME as First_Name,
    c.CONTACT_LAST_NAME as Last_Name,
    c.CONTACT_EMAIL as Email,
    h1.NAME as Primary_NAICS,
    h1.DESCRIPTION as Primary_NAICS_Description,
    h1.CODE as Primary_NAICS_Code,
    spn.PHONE_NUMBER as Phone_Number,
    h2.NAME as Primary_Region,
    h2.DESCRIPTION as Primary_Region_Description,
    h2.CODE as Primary_Region_Code,
    h3.NAME as Primary_SIC,
    h3.DESCRIPTION as Primary_SIC_Description,
    h3.CODE as Primary_SIC_Code,
    s.SAP_ID as SAP_ID,
    s.VAT_NUMBER as VAT_Number,
    s.WEBSITE as Website,
    s.CURRENCY_CODE as Currency,
    ds.NAME as Data_Source
FROM SUPPLIER s
    left outer join DATA_SOURCE ds on s.DATA_SOURCE_ID = ds.DATA_SOURCE_ID
    left outer join ADDRESS a on s.LEGAL_ADDRESS_ID = a.ADDRESS_ID
    left outer join STATE st on a.STATE_ID = st.STATE_ID
    left outer join APPLICATION_USER au on s.PRIMARY_CONTACT_AU_ID = au.AU_ID
    left outer join CONTACT c on au.USER_CUID = c.C_ID
    left outer join HIERARCHY h1 on s.PRIMARY_NAICS_ID = h1.HIERARCHY_ID
    left outer join SUPPLIER_PHONE_NUMBER spn on s.PRIMARY_PHONE_NUMBER_ID = spn.SUPPLIER_PHONE_NUMBER_ID
    left outer join HIERARCHY h2 on s.PRIMARY_REGION_ID = h2.HIERARCHY_ID
    left outer join HIERARCHY h3 on s.PRIMARY_SIC_ID = h3.HIERARCHY_ID
WHERE
    s.OWNER_AID = '[AA_ID]' AND 
    s.RECORD_STATE = 0
